In API v2, approve, reject, cancel, and reschedule are handled by one endpoint: Update a booking (PATCH /bookings/{booking_id}), not separate routes.
Replace {your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
X-Api-Key
string
required
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
booking_sid
string
required
SID of the booking that you want to reschedule.
Example:
"hda6gxy"
Body
application/json
name
string
required
Name of person making the booking.
Example:
"Eve Smith"
email
string
required
Email of person making the booking.
Example:
"eve@example.com"
slot_date
string
required
Date on which the booking is to be rescheduled. This should be in "YYYY-MM-DD" format.
Example:
"2025-07-25"
slot_start_time
string
required
Start time for the booking. This should be in "HH:MM AM/PM" format.
Example:
"10:30 AM"
time_zone
string
required
Time zone of person rescheduling the booking.
Example:
"Asia/Kolkata"
reschedule_reason
string
Reason for rescheduling the booking (optional).
Example:
"I want to change the booking time"
Response
200 - application/json
OK - Booking reschedule successful
id
string
Unique identifier for the booking.
sid
string
Short identifier (SID) for the booking, used in URLs and API calls.
parent_booking_id
string | null
Reference to the parent booking if this is a group booking.
email
string
Email address of the person who made the booking.
name
string
Name of the person who made the booking.
host_name
string
Name of the primary host for the meeting.
host_email
string
Email address of the primary host for the meeting.
is_multihost
boolean
Whether the meeting has multiple hosts.
multihosts
object[]
List of all hosts for the meeting when is_multihost is true.
Hide child attributes
multihosts.name
string
Name of the host.
multihosts.email
string
Email address of the host.
starts_at
string<date-time>
Start time of the booking in UTC.
ends_at
string<date-time>
End time of the booking in UTC.
time_zone
string
Time zone of the booking location.
starts_at_for_client
string
Start time of the booking in the client's local time zone.
ends_at_for_client
string
End time of the booking in the client's local time zone.
status
string
Current status of the booking (e.g., confirmed, cancelled, awaiting_approval, rejected).
cancel_reason
string | null
Reason provided when the booking was cancelled.
cancelled_by
string | null
Name of the person who cancelled the booking.
reschedule_requested
boolean
Whether a reschedule has been requested for this booking.
preferred_meeting_spot
string
Preferred meeting platform or location type selected by the client.
room_type
enum<string> | null
Type of meeting room or platform being used.
Available options:
daily,
zoom,
jitsi,
google_meet,
teams,
whereby,
in_person,
custom,
phone_call
room_url
string | null
URL for the meeting room or platform.
room_id
string | null
Unique identifier for the meeting room or platform.
spot_details
string | null
Additional details about the meeting place.
created_at
string<date-time>
Timestamp when the booking was created.
updated_at
string<date-time>
Timestamp when the booking was last updated.
meeting_id
string
Unique identifier of the scheduling link this booking belongs to.
meeting
object
Basic information about the associated meeting.
Hide child attributes
meeting.name
string
Name of the scheduling link.
no_show
boolean
Whether the booking is marked as no-show by the host.
meeting_outcome
object | null
Meeting outcome assigned to the booking.
Hide child attributes
meeting_outcome.id
string
Unique identifier for the meeting outcome.
Example:
"59413def-60eb-47c6-b390-098fcf583b66"
meeting_outcome.name
string
Name of the meeting outcome.
Example:
"Pricing Discussion"
meeting_outcome.color
enum<string>
Color assigned to the meeting outcome.
Available options:
blue,
orange,
gray,
red,
yellow,
violet,
pink,
teal,
cyan,
green
Example:
"yellow"
meeting_outcome.kind
string
Kind of the meeting outcome.
Example:
"custom"
meeting_outcome.color_hex
string
Hex color code for the meeting outcome.
Example:
"#EAB308"
meeting_outcome.is_system
boolean
Whether this is a system-defined meeting outcome. System outcomes cannot be modified or deleted.
Example:
false
meeting_outcome.is_organization_owned
boolean
Whether this outcome belongs to the organization.
Example:
true
notes_url
string | null
URL to access notes or additional information about the booking.
internal_notes
string | null
Internal notes about the booking visible only to hosts and admins.
metadata
object | null
Additional custom data associated with the booking.
admin_booking_url
string
URL for hosts and admins to view and manage the booking.
client_booking_url
string
URL for clients to view their booking details.
form_responses
object[]
Responses submitted through the booking form.
Hide child attributes
form_responses.field
string
Display name of the form field.
form_responses.value
string
Value submitted for the form field.
form_responses.type
string
Type of the form field (e.g., name, email, additional_guests).
form_responses.field_code
string
Internal code identifier for the form field.
form_responses_as_hash
object
Form responses organized as key-value pairs for easier access.
Hide child attributes
form_responses_as_hash.{key}
string
add_on_services
object[]
Add-on services chosen for the booking.
Hide child attributes
add_on_services.id
string
Unique identifier for the booking's add-on service record.
Example:
"0d3c1e8a-58b7-4c1f-a7f3-3c2f5d1b9e10"
add_on_services.add_on_service_id
string
ID of the scheduling link's add-on service.
Example:
"77150ec6-d4f0-4665-98f0-34bda69f7b3a"
add_on_services.name
string
Example:
"Sauna"
add_on_services.duration
integer
Minutes the add-on service added to the booking.
Example:
30
add_on_services.amount
string
Price charged for the add-on service.
Example:
"25.5"
add_on_services.currency
string | null
Example:
"USD"
add_on_services.free
boolean
Whether the add-on service was free.
Example:
false
payment
object | null
Payment details for the booking. Included only when a payment exists for the booking.
Hide child attributes
payment.id
string<uuid>
Unique identifier of the payment record.
Example:
"f46c9ddf-221d-4238-afb2-280c1c6b3185"
payment.external_id
string | null
Payment reference ID from the payment provider.
Example:
"pi_3ThCkv2c3CtEndqE1BwejQno"
payment.provider
string
Payment provider that processed the payment.
Example:
"stripe"
payment.amount
string
Payment amount.
Example:
"100.0"
payment.currency
string
Currency code. Follows the ISO 4217 standard.
Example:
"USD"
payment.status
string
Current status of the payment.
Example:
"successful"
payment.successful
boolean
Whether the payment was completed successfully.
Example:
true
payment.payment_at
string<date-time> | null
Timestamp when the payment was made.
Example:
"2026-06-11T17:51:09.321Z"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"NeetoCal Docs","description":"Developer docs for NeetoCal: the REST API and the CLI.","colors":{"primary":"#10B981","light":"#34D399","dark":"#059669"},"logo":"https://mintcdn.com/neetocal-apis/a3fUEGwOFZCFfcoR/assets/logo.svg?fit=max\u0026auto=format\u0026n=a3fUEGwOFZCFfcoR\u0026q=85\u0026s=e303e0049d2c255a51136bee0f2f1082","favicon":"https://mintcdn.com/neetocal-apis/WtzLJdaN58-pcipt/assets/favicon.svg?fit=max\u0026auto=format\u0026n=WtzLJdaN58-pcipt\u0026q=85\u0026s=3a45f64c8590b35dba847b730b7264fb","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","proxy":true},"examples":{"defaults":"all","languages":["curl","javascript","python"]}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://www.neeto.com/neetocal/blog","label":"Blog"},{"href":"https://help.neetocal.com/","label":"Help center"},{"href":"https://neetocal.com/","label":"NeetoCal"}]},"footer":{"socials":{"x":"https://x.com/neetohq","linkedin":"https://www.linkedin.com/company/neeto","youtube":"https://www.youtube.com/channel/UCoQ3Kv2JdZ51WZJ3QFFcI9g","slack":"https://neeto.com/community"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"neetocal-apis","hasAudioNarration":false,"actualSubdomain":"neetocal-apis","customDomains":["apidocs.neetocal.com"],"gitSource":{"type":"github","owner":"neetocalapis","repo":"neeto-cal-api","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6aeb2c77a60f76c94452f4e0","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"API","count":123},{"language":"default","tag":"API v1 (deprecated)","count":44},{"language":"default","tag":"CLI","count":22},{"language":"default","tag":"Commands","count":15},{"language":"default","tag":"Getting started","count":12},{"language":"default","tag":"Scheduling links","count":11},{"language":"default","tag":"Availabilities","count":6},{"language":"default","tag":"Bookings","count":6},{"language":"default","tag":"Add-on services","count":5},{"language":"default","tag":"Blocked emails","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"theme.css","content":":root{--primary-green: #0da874;--white: #ffffff;--light-gray: #eeeeee;--dark-gray: #1f2937;--text-white: rgb(255, 255, 255);--text-light: rgb(238, 238, 238)}#navbar-transition,[data-nav=\"true\"]{background-color:var(--primary-green)!important}.nav-logo{filter:brightness(0) invert(1)!important;height:20px!important;width:auto!important;max-width:none!important}[data-nav=\"true\"] a,#navbar-transition a,#navbar a,.navbar-link{color:var(--text-white)!important}[data-nav=\"true\"] a:hover,#navbar-transition a:hover,#navbar a:hover,.navbar-link:hover{color:var(--text-light)!important}#navbar button,#navbar span,#navbar div,#navbar p,#navbar .text-sm,#navbar .text-xs{color:var(--white)!important}#navbar .bg-gray-500,#navbar .bg-gray-400,#navbar .bg-gray-600,#navbar .bg-gray-300{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"]{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .text-gray-600,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:text-gray-400{color:var(--dark-gray)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .hover\\:text-gray-900:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:hover\\:text-gray-300:hover{color:var(--primary-green)!important}#search-bar-entry button,#search-bar-entry span,#search-bar-entry div,#search-bar-entry p,#search-bar-entry img,#search-bar-entry svg,#search-bar-entry .text-sm,#search-bar-entry .text-xs{color:var(--primary-green)!important}"}]}
{"page":{"pagePath":"api-reference-v1/bookings/reschedule","slug":"/api-reference-v1/bookings/reschedule","pageMetadata":{"title":"Reschedule booking","openapi":"bundled-v1/bookings.yaml PATCH /bookings/{booking_sid}","description":"Reschedule a booking.","href":"/api-reference-v1/bookings/reschedule"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Reschedule a booking.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Info}=_components;if(!Info)_missingMdxReference(`Info`,true);return _jsxs(_Fragment,{children:[_jsx(Info,{children:_jsxs(_components.p,{children:[`In `,_jsx(_components.strong,{children:`API v2`}),`, approve, reject, cancel, and reschedule are handled by one endpoint: `,_jsx(_components.a,{href:`/api/bookings/update`,children:`Update a booking`}),` (`,_jsx(_components.code,{children:`PATCH /bookings/{booking_id}`}),`), not separate routes.`]})}),`\n`,_jsxs(Info,{children:[`Replace `,_jsx(_components.code,{children:`{your-subdomain}`}),` with your workspace’s subdomain. `,_jsx(`br`,{}),` Learn how to find your subdomain in `,_jsx(_components.a,{href:`/api/workspace-subdomain`,children:`Workspace subdomain`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Reschedule booking","openapi":"bundled-v1/bookings.yaml PATCH /bookings/{booking_sid}","description":"Reschedule a booking.","href":"/api-reference-v1/bookings/reschedule"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/neetocal-apis/c7a6987cd31f1479/os-detect.js"],"openApiReferenceData":{"operation":{"summary":"Reschedule a booking","tags":["Bookings"],"description":"Reschedule a booking.","parameters":["b368d14a-f365-43df-b97b-1c09471af16d","3800ca31-73d7-494f-ba55-284945160527"],"requestBody":"99349df6-8ed2-4e23-a73e-f889c63fd8c5","responses":{"200":"56df0a04-42f4-4530-baec-88dd664b47d9"},"method":"patch","type":"path","servers":["9c01cbd6-aeb0-425e-9e6a-f5e1f8f5b917"],"security":[],"path":"/bookings/{booking_sid}","baseUrlOptions":["https://{your-subdomain}.neetocal.com/api/external/v1"],"title":"Reschedule a booking","codeSamples":[],"requestExampleLanguages":["bash","javascript","python"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b368d14a-f365-43df-b97b-1c09471af16d":{"in":"header","name":"X-Api-Key","description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","required":true,"schema":{"type":"string","isRequired":true,"description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","uniqueKey":"","typeLabel":"string"}},"3800ca31-73d7-494f-ba55-284945160527":{"in":"path","name":"booking_sid","description":"SID of the booking that you want to reschedule.","required":true,"schema":{"type":"string","example":"hda6gxy","isRequired":true,"description":"SID of the booking that you want to reschedule.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Name of person making the booking.","example":"Eve Smith","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"email":{"type":"string","description":"Email of person making the booking.","example":"eve@example.com","isRequired":true,"uniqueKey":"email","typeLabel":"string"},"slot_date":{"type":"string","description":"Date on which the booking is to be rescheduled. This should be in \"YYYY-MM-DD\" format.","example":"2025-07-25","isRequired":true,"uniqueKey":"slot_date","typeLabel":"string"},"slot_start_time":{"type":"string","description":"Start time for the booking. This should be in \"HH:MM AM/PM\" format.","example":"10:30 AM","isRequired":true,"uniqueKey":"slot_start_time","typeLabel":"string"},"time_zone":{"type":"string","description":"Time zone of person rescheduling the booking.","example":"Asia/Kolkata","isRequired":true,"uniqueKey":"time_zone","typeLabel":"string"},"reschedule_reason":{"type":"string","description":"Reason for rescheduling the booking (optional).","example":"I want to change the booking time","uniqueKey":"reschedule_reason","typeLabel":"string"}},"required":["name","email","slot_date","slot_start_time","time_zone"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"Eve Smith","email":"eve@example.com","slot_date":"2025-07-25","slot_start_time":"10:30 AM","time_zone":"Asia/Kolkata","reschedule_reason":"I want to change the booking time"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"56df0a04-42f4-4530-baec-88dd664b47d9":{"description":"OK - Booking reschedule successful","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the booking.","uniqueKey":"id","typeLabel":"string"},"sid":{"type":"string","description":"Short identifier (SID) for the booking, used in URLs and API calls.","uniqueKey":"sid","typeLabel":"string"},"parent_booking_id":{"oneOf":[{"type":"string","description":"Reference to the parent booking if this is a group booking.","uniqueKey":"parent_booking_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reference to the parent booking if this is a group booking.","uniqueKey":"parent_booking_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"parent_booking_id","typeLabel":"string | null"},"email":{"type":"string","description":"Email address of the person who made the booking.","uniqueKey":"email","typeLabel":"string"},"name":{"type":"string","description":"Name of the person who made the booking.","uniqueKey":"name","typeLabel":"string"},"host_name":{"type":"string","description":"Name of the primary host for the meeting.","uniqueKey":"host_name","typeLabel":"string"},"host_email":{"type":"string","description":"Email address of the primary host for the meeting.","uniqueKey":"host_email","typeLabel":"string"},"is_multihost":{"type":"boolean","description":"Whether the meeting has multiple hosts.","uniqueKey":"is_multihost","typeLabel":"boolean"},"multihosts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Name of the host.","uniqueKey":"multihosts.items.[INDEX].name","typeLabel":"string"},"email":{"type":"string","description":"Email address of the host.","uniqueKey":"multihosts.items.[INDEX].email","typeLabel":"string"}},"uniqueKey":"multihosts.items.[INDEX]","typeLabel":"object"},"description":"List of all hosts for the meeting when is_multihost is true.","uniqueKey":"multihosts","typeLabel":"object[]"},"starts_at":{"type":"string","format":"date-time","description":"Start time of the booking in UTC.","uniqueKey":"starts_at","typeLabel":"string\u003cdate-time>"},"ends_at":{"type":"string","format":"date-time","description":"End time of the booking in UTC.","uniqueKey":"ends_at","typeLabel":"string\u003cdate-time>"},"time_zone":{"type":"string","description":"Time zone of the booking location.","uniqueKey":"time_zone","typeLabel":"string"},"starts_at_for_client":{"type":"string","description":"Start time of the booking in the client's local time zone.","uniqueKey":"starts_at_for_client","typeLabel":"string"},"ends_at_for_client":{"type":"string","description":"End time of the booking in the client's local time zone.","uniqueKey":"ends_at_for_client","typeLabel":"string"},"status":{"type":"string","description":"Current status of the booking (e.g., confirmed, cancelled, awaiting_approval, rejected).","uniqueKey":"status","typeLabel":"string"},"cancel_reason":{"oneOf":[{"type":"string","description":"Reason provided when the booking was cancelled.","uniqueKey":"cancel_reason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason provided when the booking was cancelled.","uniqueKey":"cancel_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"cancel_reason","typeLabel":"string | null"},"cancelled_by":{"oneOf":[{"type":"string","description":"Name of the person who cancelled the booking.","uniqueKey":"cancelled_by.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the person who cancelled the booking.","uniqueKey":"cancelled_by.oneOf.1","typeLabel":"null"}],"uniqueKey":"cancelled_by","typeLabel":"string | null"},"reschedule_requested":{"type":"boolean","description":"Whether a reschedule has been requested for this booking.","uniqueKey":"reschedule_requested","typeLabel":"boolean"},"preferred_meeting_spot":{"type":"string","description":"Preferred meeting platform or location type selected by the client.","uniqueKey":"preferred_meeting_spot","typeLabel":"string"},"room_type":{"oneOf":[{"type":"string","description":"Type of meeting room or platform being used.\n","enum":["daily","zoom","jitsi","google_meet","teams","whereby","in_person","custom","phone_call"],"uniqueKey":"room_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of meeting room or platform being used.\n","enum":["daily","zoom","jitsi","google_meet","teams","whereby","in_person","custom","phone_call"],"uniqueKey":"room_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"room_type","typeLabel":"enum\u003cstring> | null"},"room_url":{"oneOf":[{"type":"string","description":"URL for the meeting room or platform.","uniqueKey":"room_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for the meeting room or platform.","uniqueKey":"room_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"room_url","typeLabel":"string | null"},"room_id":{"oneOf":[{"type":"string","description":"Unique identifier for the meeting room or platform.","uniqueKey":"room_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the meeting room or platform.","uniqueKey":"room_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"room_id","typeLabel":"string | null"},"spot_details":{"oneOf":[{"type":"string","description":"Additional details about the meeting place.","uniqueKey":"spot_details.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional details about the meeting place.","uniqueKey":"spot_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"spot_details","typeLabel":"string | null"},"created_at":{"type":"string","format":"date-time","description":"Timestamp when the booking was created.","uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the booking was last updated.","uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"meeting_id":{"type":"string","description":"Unique identifier of the scheduling link this booking belongs to.","uniqueKey":"meeting_id","typeLabel":"string"},"meeting":{"type":"object","properties":{"name":{"type":"string","description":"Name of the scheduling link.","uniqueKey":"meeting.name","typeLabel":"string"}},"description":"Basic information about the associated meeting.","uniqueKey":"meeting","typeLabel":"object"},"no_show":{"type":"boolean","description":"Whether the booking is marked as no-show by the host.","uniqueKey":"no_show","typeLabel":"boolean"},"meeting_outcome":{"oneOf":[{"type":"object","description":"Meeting outcome assigned to the booking.","properties":{"id":{"type":"string","description":"Unique identifier for the meeting outcome.","example":"59413def-60eb-47c6-b390-098fcf583b66","uniqueKey":"meeting_outcome.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the meeting outcome.","example":"Pricing Discussion","uniqueKey":"meeting_outcome.oneOf.0.name","typeLabel":"string"},"color":{"type":"string","description":"Color assigned to the meeting outcome.","enum":["blue","orange","gray","red","yellow","violet","pink","teal","cyan","green"],"example":"yellow","uniqueKey":"meeting_outcome.oneOf.0.color","typeLabel":"enum\u003cstring>"},"kind":{"type":"string","description":"Kind of the meeting outcome.","example":"custom","uniqueKey":"meeting_outcome.oneOf.0.kind","typeLabel":"string"},"color_hex":{"type":"string","description":"Hex color code for the meeting outcome.","example":"#EAB308","uniqueKey":"meeting_outcome.oneOf.0.color_hex","typeLabel":"string"},"is_system":{"type":"boolean","description":"Whether this is a system-defined meeting outcome. System outcomes cannot be modified or deleted.","example":false,"uniqueKey":"meeting_outcome.oneOf.0.is_system","typeLabel":"boolean"},"is_organization_owned":{"type":"boolean","description":"Whether this outcome belongs to the organization.","example":true,"uniqueKey":"meeting_outcome.oneOf.0.is_organization_owned","typeLabel":"boolean"}},"uniqueKey":"meeting_outcome.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"meeting_outcome.oneOf.1","typeLabel":"null"}],"uniqueKey":"meeting_outcome","typeLabel":"object | null"},"notes_url":{"oneOf":[{"type":"string","description":"URL to access notes or additional information about the booking.","uniqueKey":"notes_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to access notes or additional information about the booking.","uniqueKey":"notes_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"notes_url","typeLabel":"string | null"},"internal_notes":{"oneOf":[{"type":"string","description":"Internal notes about the booking visible only to hosts and admins.","uniqueKey":"internal_notes.oneOf.0","typeLabel":"string"},{"type":"null","description":"Internal notes about the booking visible only to hosts and admins.","uniqueKey":"internal_notes.oneOf.1","typeLabel":"null"}],"uniqueKey":"internal_notes","typeLabel":"string | null"},"metadata":{"oneOf":[{"type":"object","description":"Additional custom data associated with the booking.","uniqueKey":"metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"Additional custom data associated with the booking.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"object | null"},"admin_booking_url":{"type":"string","description":"URL for hosts and admins to view and manage the booking.","uniqueKey":"admin_booking_url","typeLabel":"string"},"client_booking_url":{"type":"string","description":"URL for clients to view their booking details.","uniqueKey":"client_booking_url","typeLabel":"string"},"form_responses":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Display name of the form field.","uniqueKey":"form_responses.items.[INDEX].field","typeLabel":"string"},"value":{"type":"string","description":"Value submitted for the form field.","uniqueKey":"form_responses.items.[INDEX].value","typeLabel":"string"},"type":{"type":"string","description":"Type of the form field (e.g., name, email, additional_guests).","uniqueKey":"form_responses.items.[INDEX].type","typeLabel":"string"},"field_code":{"type":"string","description":"Internal code identifier for the form field.","uniqueKey":"form_responses.items.[INDEX].field_code","typeLabel":"string"}},"uniqueKey":"form_responses.items.[INDEX]","typeLabel":"object"},"description":"Responses submitted through the booking form.","uniqueKey":"form_responses","typeLabel":"object[]"},"form_responses_as_hash":{"type":"object","description":"Form responses organized as key-value pairs for easier access.","additionalProperties":{"type":"string","uniqueKey":"form_responses_as_hash.additionalProperties","typeLabel":"string"},"uniqueKey":"form_responses_as_hash","typeLabel":"object"},"add_on_services":{"type":"array","description":"Add-on services chosen for the booking.","items":{"type":"object","description":"Add-on service selected for a booking, with its name, duration and price as they were when the booking was made.","properties":{"id":{"type":"string","description":"Unique identifier for the booking's add-on service record.","example":"0d3c1e8a-58b7-4c1f-a7f3-3c2f5d1b9e10","uniqueKey":"add_on_services.items.[INDEX].id","typeLabel":"string"},"add_on_service_id":{"type":"string","description":"ID of the scheduling link's add-on service.","example":"77150ec6-d4f0-4665-98f0-34bda69f7b3a","uniqueKey":"add_on_services.items.[INDEX].add_on_service_id","typeLabel":"string"},"name":{"type":"string","example":"Sauna","uniqueKey":"add_on_services.items.[INDEX].name","typeLabel":"string"},"duration":{"type":"integer","description":"Minutes the add-on service added to the booking.","example":30,"uniqueKey":"add_on_services.items.[INDEX].duration","typeLabel":"integer"},"amount":{"type":"string","description":"Price charged for the add-on service.","example":"25.5","uniqueKey":"add_on_services.items.[INDEX].amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","example":"USD","uniqueKey":"add_on_services.items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"type":"null","example":"USD","uniqueKey":"add_on_services.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"add_on_services.items.[INDEX].currency","typeLabel":"string | null"},"free":{"type":"boolean","description":"Whether the add-on service was free.","example":false,"uniqueKey":"add_on_services.items.[INDEX].free","typeLabel":"boolean"}},"uniqueKey":"add_on_services.items.[INDEX]","typeLabel":"object"},"uniqueKey":"add_on_services","typeLabel":"object[]"},"payment":{"oneOf":[{"type":"object","description":"Payment details for the booking. Included only when a payment exists for the booking.","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the payment record.","example":"f46c9ddf-221d-4238-afb2-280c1c6b3185","uniqueKey":"payment.oneOf.0.id","typeLabel":"string\u003cuuid>"},"external_id":{"oneOf":[{"type":"string","description":"Payment reference ID from the payment provider.","example":"pi_3ThCkv2c3CtEndqE1BwejQno","uniqueKey":"payment.oneOf.0.external_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Payment reference ID from the payment provider.","example":"pi_3ThCkv2c3CtEndqE1BwejQno","uniqueKey":"payment.oneOf.0.external_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment.oneOf.0.external_id","typeLabel":"string | null"},"provider":{"type":"string","description":"Payment provider that processed the payment.","example":"stripe","uniqueKey":"payment.oneOf.0.provider","typeLabel":"string"},"amount":{"type":"string","description":"Payment amount.","example":"100.0","uniqueKey":"payment.oneOf.0.amount","typeLabel":"string"},"currency":{"type":"string","description":"Currency code. Follows the ISO 4217 standard.","example":"USD","uniqueKey":"payment.oneOf.0.currency","typeLabel":"string"},"status":{"type":"string","description":"Current status of the payment.","example":"successful","uniqueKey":"payment.oneOf.0.status","typeLabel":"string"},"successful":{"type":"boolean","description":"Whether the payment was completed successfully.","example":true,"uniqueKey":"payment.oneOf.0.successful","typeLabel":"boolean"},"payment_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when the payment was made.","example":"2026-06-11T17:51:09.321Z","uniqueKey":"payment.oneOf.0.payment_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when the payment was made.","example":"2026-06-11T17:51:09.321Z","uniqueKey":"payment.oneOf.0.payment_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment.oneOf.0.payment_at","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"payment.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","sid":"\u003cstring>","parent_booking_id":"\u003cstring>","email":"\u003cstring>","name":"\u003cstring>","host_name":"\u003cstring>","host_email":"\u003cstring>","is_multihost":true,"multihosts":[{"name":"\u003cstring>","email":"\u003cstring>"}],"starts_at":"2023-11-07T05:31:56Z","ends_at":"2023-11-07T05:31:56Z","time_zone":"\u003cstring>","starts_at_for_client":"\u003cstring>","ends_at_for_client":"\u003cstring>","status":"\u003cstring>","cancel_reason":"\u003cstring>","cancelled_by":"\u003cstring>","reschedule_requested":true,"preferred_meeting_spot":"\u003cstring>","room_type":"daily","room_url":"\u003cstring>","room_id":"\u003cstring>","spot_details":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","meeting_id":"\u003cstring>","meeting":{"name":"\u003cstring>"},"no_show":true,"meeting_outcome":{"id":"59413def-60eb-47c6-b390-098fcf583b66","name":"Pricing Discussion","color":"yellow","kind":"custom","color_hex":"#EAB308","is_system":false,"is_organization_owned":true},"notes_url":"\u003cstring>","internal_notes":"\u003cstring>","metadata":{},"admin_booking_url":"\u003cstring>","client_booking_url":"\u003cstring>","form_responses":[{"field":"\u003cstring>","value":"\u003cstring>","type":"\u003cstring>","field_code":"\u003cstring>"}],"form_responses_as_hash":{},"add_on_services":[{"id":"0d3c1e8a-58b7-4c1f-a7f3-3c2f5d1b9e10","add_on_service_id":"77150ec6-d4f0-4665-98f0-34bda69f7b3a","name":"Sauna","duration":30,"amount":"25.5","currency":"USD","free":false}],"payment":{"id":"f46c9ddf-221d-4238-afb2-280c1c6b3185","external_id":"pi_3ThCkv2c3CtEndqE1BwejQno","provider":"stripe","amount":"100.0","currency":"USD","status":"successful","successful":true,"payment_at":"2026-06-11T17:51:09.321Z"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"9c01cbd6-aeb0-425e-9e6a-f5e1f8f5b917":{"description":"NeetoCal APIs","url":"https://{your-subdomain}.neetocal.com/api/external/v1","variables":{"your-subdomain":{"default":"spinkart","description":"Replace **spinkart** with your [workspace's subdomain](/api/workspace-subdomain)."}}}}},"originalFileLocation":"bundled-v1/bookings.yaml"},"subdomain":"neetocal-apis","siteName":"NeetoCal Docs","title":"Reschedule booking - NeetoCal Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-01T10:46:37.809Z","originalFileLocation":"api-reference-v1/bookings/reschedule.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Reschedule a booking.\">\u003cmeta data-mint-head name=\"application-name\" content=\"NeetoCal Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Reschedule booking - NeetoCal Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Reschedule a booking.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"NeetoCal Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://neetocal-apis.mintlify.site/_mintlify/api/og/v2?division=API+v1+%28deprecated%29\u0026amp;title=Reschedule+booking\u0026amp;description=Reschedule+a+booking.\u0026amp;theme=ef9c76b57fa48ec40b3669db\u0026amp;signature=cb9acc78b42aa32b04e1ab8c5efe4198102adc2fd171f2ffa10bc3fe9496ad8f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Reschedule booking - NeetoCal Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Reschedule a booking.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://neetocal-apis.mintlify.site/_mintlify/api/og/v2?division=API+v1+%28deprecated%29\u0026amp;title=Reschedule+booking\u0026amp;description=Reschedule+a+booking.\u0026amp;theme=ef9c76b57fa48ec40b3669db\u0026amp;signature=cb9acc78b42aa32b04e1ab8c5efe4198102adc2fd171f2ffa10bc3fe9496ad8f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/neetocal-apis/lQJOLz4J05h_FAVD/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"NeetoCal Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#10B981\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference-v1/bookings/reschedule.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.neetocal.com/#organization\",\"name\":\"NeetoCal Docs\",\"url\":\"https://apidocs.neetocal.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/neetocal-apis/a3fUEGwOFZCFfcoR/assets/logo.svg?fit=max\u0026auto=format\u0026n=a3fUEGwOFZCFfcoR\u0026q=85\u0026s=e303e0049d2c255a51136bee0f2f1082\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.neetocal.com#website\",\"name\":\"NeetoCal Docs\",\"url\":\"https://apidocs.neetocal.com\",\"publisher\":{\"@id\":\"https://apidocs.neetocal.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule#webpage\",\"url\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule\",\"name\":\"Reschedule booking\",\"description\":\"Reschedule a booking.\",\"dateModified\":\"2026-09-01T10:46:37.809Z\",\"isPartOf\":{\"@id\":\"https://apidocs.neetocal.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API v1 (deprecated)\",\"item\":\"https://apidocs.neetocal.com/api-reference-v1/scheduling-links/list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Reschedule booking\",\"item\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule#apireference\",\"headline\":\"Reschedule booking\",\"name\":\"Reschedule booking\",\"description\":\"Reschedule a booking.\",\"url\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.neetocal.com/api-reference-v1/bookings/reschedule#webpage\"},\"dateModified\":\"2026-09-01T10:46:37.809Z\",\"publisher\":{\"@id\":\"https://apidocs.neetocal.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.neetocal.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"NeetoCal Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"NeetoCal Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference-v1/bookings/reschedule.md","siteName":"NeetoCal Docs","nav":{"global":null,"tabs":[{"tab":"API","icon":"code","groups":[{"group":"Getting started","icon":"rocket","pages":[{"title":"NeetoCal API","href":"/api/introduction"},{"title":"Workspace subdomain","href":"/api/workspace-subdomain"},{"title":"Authentication","href":"/api/authentication"},{"title":"Pagination","href":"/api/pagination"},{"title":"HTTP response codes","href":"/api/response-codes"}]},{"group":"Scheduling links","icon":"calendar","pages":[{"title":"List scheduling links","openapi":"bundled/meetings.yaml GET /meetings","href":"/api/scheduling-links/list"},{"title":"List scheduling link templates","openapi":"bundled/meetings.yaml GET /meeting-templates","href":"/api/scheduling-links/list-templates"},{"title":"Get scheduling link","openapi":"bundled/meetings.yaml GET /meetings/{meeting_sid}","href":"/api/scheduling-links/get"},{"title":"Get scheduling link template","openapi":"bundled/meetings.yaml GET /meeting-templates/{id}","href":"/api/scheduling-links/get-template"},{"title":"Create scheduling link template","openapi":"bundled/meetings.yaml POST /meeting-templates","href":"/api/scheduling-links/create-template"},{"title":"Update scheduling link template","openapi":"bundled/meetings.yaml PATCH /meeting-templates/{id}","href":"/api/scheduling-links/update-template"},{"title":"Create scheduling link","openapi":"bundled/meetings.yaml POST /meetings","href":"/api/scheduling-links/create"},{"title":"Update scheduling link","openapi":"bundled/meetings.yaml PATCH /meetings/{meeting_sid}","href":"/api/scheduling-links/update"},{"title":"Create one-time scheduling link","openapi":"bundled/meetings.yaml POST /meetings/{meeting_sid}/one-off-links","href":"/api/scheduling-links/create-one-off"},{"title":"Delete scheduling link","openapi":"bundled/meetings.yaml DELETE /meetings/{meeting_sid}","href":"/api/scheduling-links/delete"},{"title":"Delete scheduling link template","openapi":"bundled/meetings.yaml DELETE /meeting-templates/{id}","href":"/api/scheduling-links/delete-template"}]},{"group":"Meeting places","icon":"map-pin","pages":[{"title":"List meeting places","openapi":"bundled/spots.yaml GET /meetings/{meeting_sid}/spots","href":"/api/meeting-places/list"},{"title":"Get meeting place","openapi":"bundled/spots.yaml GET /meetings/{meeting_sid}/spots/{id}","href":"/api/meeting-places/get"},{"title":"Create meeting place","openapi":"bundled/spots.yaml POST /meetings/{meeting_sid}/spots","href":"/api/meeting-places/create"},{"title":"Update meeting place","openapi":"bundled/spots.yaml PUT /meetings/{meeting_sid}/spots/{id}","href":"/api/meeting-places/update"},{"title":"Delete meeting place","openapi":"bundled/spots.yaml DELETE /meetings/{meeting_sid}/spots/{id}","href":"/api/meeting-places/delete"}]},{"group":"Meeting durations","icon":"hourglass","pages":[{"title":"List meeting durations","openapi":"bundled/durations.yaml GET /meetings/{meeting_sid}/durations","href":"/api/meeting-durations/list"},{"title":"Get meeting duration","openapi":"bundled/durations.yaml GET /meetings/{meeting_sid}/durations/{id}","href":"/api/meeting-durations/get"},{"title":"Create meeting duration","openapi":"bundled/durations.yaml POST /meetings/{meeting_sid}/durations","href":"/api/meeting-durations/create"},{"title":"Update meeting duration","openapi":"bundled/durations.yaml PUT /meetings/{meeting_sid}/durations/{id}","href":"/api/meeting-durations/update"},{"title":"Delete meeting duration","openapi":"bundled/durations.yaml DELETE /meetings/{meeting_sid}/durations/{id}","href":"/api/meeting-durations/delete"}]},{"group":"Add-on services","icon":"circle-plus","pages":[{"title":"List add-on services","openapi":"bundled/add-on-services.yaml GET /meetings/{meeting_sid}/add-on-services","href":"/api/add-on-services/list"},{"title":"Get add-on service","openapi":"bundled/add-on-services.yaml GET /meetings/{meeting_sid}/add-on-services/{id}","href":"/api/add-on-services/get"},{"title":"Create add-on service","openapi":"bundled/add-on-services.yaml POST /meetings/{meeting_sid}/add-on-services","href":"/api/add-on-services/create"},{"title":"Update add-on service","openapi":"bundled/add-on-services.yaml PUT /meetings/{meeting_sid}/add-on-services/{id}","href":"/api/add-on-services/update"},{"title":"Delete add-on service","openapi":"bundled/add-on-services.yaml DELETE /meetings/{meeting_sid}/add-on-services/{id}","href":"/api/add-on-services/delete"}]},{"group":"Calendar preferences","icon":"calendar-check","pages":[{"title":"Get calendar preferences","openapi":"bundled/calendar-preferences.yaml GET /meetings/{meeting_sid}/calendar-preferences/{integration}","href":"/api/calendar-preferences/get"},{"title":"Update calendar preferences","openapi":"bundled/calendar-preferences.yaml PATCH /meetings/{meeting_sid}/calendar-preferences/{integration}","href":"/api/calendar-preferences/update"}]},{"group":"Bookings","icon":"list-ol","pages":[{"title":"List bookings","openapi":"bundled/bookings.yaml GET /bookings","href":"/api/bookings/list"},{"title":"Get booking","openapi":"bundled/bookings.yaml GET /bookings/{booking_sid}","href":"/api/bookings/get"},{"title":"Create booking","openapi":"bundled/bookings.yaml POST /bookings","href":"/api/bookings/create"},{"title":"Update a booking","openapi":"bundled/bookings.yaml PATCH /bookings/{booking_id}","href":"/api/bookings/update"},{"title":"Create payment","openapi":"bundled/bookings.yaml POST /bookings/{booking_id}/payments","href":"/api/bookings/create-payment"},{"title":"Confirm payment","openapi":"bundled/bookings.yaml PATCH /bookings/{booking_id}/payments/{id}","href":"/api/bookings/confirm-payment"}]},{"group":"Availabilities","icon":"clock","pages":[{"title":"List availabilities of team members","openapi":"bundled/availabilities.yaml GET /availabilities","href":"/api/availabilities/list"},{"title":"Get availability","openapi":"bundled/availabilities.yaml GET /availabilities/{availability_id}","href":"/api/availabilities/get"},{"title":"Create availability","openapi":"bundled/availabilities.yaml POST /availabilities","href":"/api/availabilities/create"},{"title":"Update availability","openapi":"bundled/availabilities.yaml PATCH /availabilities/{availability_id}","href":"/api/availabilities/update"},{"title":"Create custom availability for scheduling-link","openapi":"bundled/availabilities.yaml POST /meetings/{meeting_sid}/availabilities","href":"/api/availabilities/create-meeting"},{"title":"Update scheduling-link availability","openapi":"bundled/availabilities.yaml PATCH /meetings/{meeting_sid}/availabilities","href":"/api/availabilities/update-meeting"}]},{"group":"Slots","icon":"user-clock","pages":[{"title":"List available slots","openapi":"bundled/slots.yaml GET /meetings/{meeting_sid}/slots","href":"/api/slots/list"},{"title":"List unavailable slots","openapi":"bundled/slots.yaml GET /meetings/{meeting_sid}/unavailable-slots","href":"/api/slots/list-unavailable"},{"title":"List common slots","openapi":"bundled/slots.yaml GET /common-slots","href":"/api/slots/list-common"}]},{"group":"Holidays","icon":"calendar-xmark","pages":[{"title":"List holidays","openapi":"bundled/holidays.yaml GET /holidays","href":"/api/holidays/list"}]},{"group":"Packages","icon":"gift","pages":[{"title":"List packages","openapi":"bundled/packages.yaml GET /packages","href":"/api/packages/list"},{"title":"Get package","openapi":"bundled/packages.yaml GET /packages/{package_id}","href":"/api/packages/get"},{"title":"List package purchases","openapi":"bundled/packages.yaml GET /packages/{package_id}/purchases","href":"/api/packages/list-purchases"},{"title":"Get package purchase","openapi":"bundled/packages.yaml GET /packages/{package_id}/purchases/{purchase_id}","href":"/api/packages/get-purchase"}]},{"group":"Team members","icon":"user-group","pages":[{"title":"List team members","openapi":"bundled/team-members.yaml GET /team-members","href":"/api/team-members/list"},{"title":"Get team member","openapi":"bundled/team-members.yaml GET /team-members/{team_member_id}","href":"/api/team-members/get"},{"title":"Add team members","openapi":"bundled/team-members.yaml POST /team-members","href":"/api/team-members/add"},{"title":"Update team member","openapi":"bundled/team-members.yaml PATCH /team-members/{team_member_id}","href":"/api/team-members/update"},{"title":"Remove team member","openapi":"bundled/team-members.yaml DELETE /team-members/{team_member_id}","href":"/api/team-members/remove"}]},{"group":"Meeting outcomes","icon":"clipboard-check","pages":[{"title":"List meeting outcomes","openapi":"bundled/meeting-outcomes.yaml GET /meeting-outcomes","href":"/api/meeting-outcomes/list"},{"title":"Get meeting outcome","openapi":"bundled/meeting-outcomes.yaml GET /meeting-outcomes/{id}","href":"/api/meeting-outcomes/get"},{"title":"Create meeting outcome","openapi":"bundled/meeting-outcomes.yaml POST /meeting-outcomes","href":"/api/meeting-outcomes/create"},{"title":"Update meeting outcome","openapi":"bundled/meeting-outcomes.yaml PATCH /meeting-outcomes/{id}","href":"/api/meeting-outcomes/update"},{"title":"Delete meeting outcome","openapi":"bundled/meeting-outcomes.yaml DELETE /meeting-outcomes/{id}","href":"/api/meeting-outcomes/delete"}]},{"group":"Blocked emails","icon":"ban","pages":[{"title":"List blocked emails","openapi":"bundled/blocked-emails.yaml GET /blocked-emails","href":"/api/blocked-emails/list"},{"title":"Get blocked email","openapi":"bundled/blocked-emails.yaml GET /blocked-emails/{id}","href":"/api/blocked-emails/get"},{"title":"Block emails","openapi":"bundled/blocked-emails.yaml POST /blocked-emails","href":"/api/blocked-emails/create"},{"title":"Update blocked email","openapi":"bundled/blocked-emails.yaml PATCH /blocked-emails/{id}","href":"/api/blocked-emails/update"},{"title":"Delete blocked email","openapi":"bundled/blocked-emails.yaml DELETE /blocked-emails/{id}","href":"/api/blocked-emails/delete"}]},{"group":"Payments","icon":"money-bill","pages":[{"title":"List payments","openapi":"bundled/payments.yaml GET /payments","href":"/api/payments/list"},{"title":"List refunds","openapi":"bundled/refunds.yaml GET /refunds","href":"/api/refunds/list"}]},{"group":"Discount codes","icon":"credit-card","pages":[{"title":"List discount codes","openapi":"bundled/discount-codes.yaml GET /discount-codes","href":"/api/discount-codes/list"},{"title":"Create discount code","openapi":"bundled/discount-codes.yaml POST /discount-codes","href":"/api/discount-codes/create"},{"title":"Update discount code","openapi":"bundled/discount-codes.yaml PATCH /discount-codes/{id}","href":"/api/discount-codes/update"},{"title":"Delete discount code","openapi":"bundled/discount-codes.yaml DELETE /discount-codes/{id}","href":"/api/discount-codes/delete"}]},{"group":"Automation rules","icon":"zap","pages":[{"title":"List automation rules","openapi":"bundled/automation-rules.yaml GET /automation-rules","href":"/api/automation-rules/list"},{"title":"Create automation rule","openapi":"bundled/automation-rules.yaml POST /automation-rules","href":"/api/automation-rules/create"},{"title":"Delete automation rule","openapi":"bundled/automation-rules.yaml DELETE /automation-rules/{id}","href":"/api/automation-rules/delete"}]},{"group":"Prefill tokens","icon":"key","pages":[{"title":"Get prefill token details","openapi":"bundled/prefill-tokens.yaml GET /prefill_tokens/{prefill_token}","href":"/api/prefill-tokens/get"},{"title":"Create prefill token","openapi":"bundled/prefill-tokens.yaml POST /prefill-tokens","href":"/api/prefill-tokens/create"}]},{"group":"API v1 (deprecated)","icon":"triangle-exclamation","pages":[{"title":"List scheduling links","openapi":"bundled-v1/meetings.yaml GET /meetings","href":"/api-reference-v1/scheduling-links/list"},{"title":"List scheduling link templates","openapi":"bundled-v1/meetings.yaml GET /meeting_templates","href":"/api-reference-v1/scheduling-links/list-templates"},{"title":"Get scheduling link","openapi":"bundled-v1/meetings.yaml GET /meetings/{meeting_sid}","href":"/api-reference-v1/scheduling-links/get"},{"title":"Create scheduling link","openapi":"bundled-v1/meetings.yaml POST /meetings","href":"/api-reference-v1/scheduling-links/create"},{"title":"Update scheduling link","openapi":"bundled-v1/meetings.yaml PATCH /meetings/{meeting_sid}","href":"/api-reference-v1/scheduling-links/update"},{"title":"Create one-time scheduling link","openapi":"bundled-v1/meetings.yaml POST /meetings/{meeting_sid}/create_one_off_link","href":"/api-reference-v1/scheduling-links/create-one-off"},{"title":"List meeting places","openapi":"bundled-v1/spots.yaml GET /meetings/{meeting_sid}/spots","href":"/api-reference-v1/meeting-places/list"},{"title":"Get meeting place","openapi":"bundled-v1/spots.yaml GET /meetings/{meeting_sid}/spots/{id}","href":"/api-reference-v1/meeting-places/get"},{"title":"Create meeting place","openapi":"bundled-v1/spots.yaml POST /meetings/{meeting_sid}/spots","href":"/api-reference-v1/meeting-places/create"},{"title":"Update meeting place","openapi":"bundled-v1/spots.yaml PUT /meetings/{meeting_sid}/spots/{id}","href":"/api-reference-v1/meeting-places/update"},{"title":"Delete meeting place","openapi":"bundled-v1/spots.yaml DELETE /meetings/{meeting_sid}/spots/{id}","href":"/api-reference-v1/meeting-places/delete"},{"title":"List meeting durations","openapi":"bundled-v1/durations.yaml GET /meetings/{meeting_sid}/durations","href":"/api-reference-v1/meeting-durations/list"},{"title":"Get meeting duration","openapi":"bundled-v1/durations.yaml GET /meetings/{meeting_sid}/durations/{id}","href":"/api-reference-v1/meeting-durations/get"},{"title":"Create meeting duration","openapi":"bundled-v1/durations.yaml POST /meetings/{meeting_sid}/durations","href":"/api-reference-v1/meeting-durations/create"},{"title":"Update meeting duration","openapi":"bundled-v1/durations.yaml PUT /meetings/{meeting_sid}/durations/{id}","href":"/api-reference-v1/meeting-durations/update"},{"title":"Delete meeting duration","openapi":"bundled-v1/durations.yaml DELETE /meetings/{meeting_sid}/durations/{id}","href":"/api-reference-v1/meeting-durations/delete"},{"title":"List bookings","openapi":"bundled-v1/bookings.yaml GET /bookings","href":"/api-reference-v1/bookings/list"},{"title":"Get booking","openapi":"bundled-v1/bookings.yaml GET /bookings/{booking_sid}","href":"/api-reference-v1/bookings/get"},{"title":"Create booking","openapi":"bundled-v1/bookings.yaml POST /bookings","href":"/api-reference-v1/bookings/create"},{"title":"Create payment","openapi":"bundled-v1/bookings.yaml POST /bookings/{booking_id}/payments","href":"/api-reference-v1/bookings/create-payment"},{"title":"Confirm payment","openapi":"bundled-v1/bookings.yaml PUT /bookings/{booking_id}/payments/{id}/confirm","description":"Marks a payment as **successful** or **rejected** for Cash or UPI.\nCall this after the client has paid.\n","href":"/api-reference-v1/bookings/confirm-payment"},{"title":"Reschedule booking","openapi":"bundled-v1/bookings.yaml PATCH /bookings/{booking_sid}","href":"/api-reference-v1/bookings/reschedule"},{"title":"Cancel booking","openapi":"bundled-v1/bookings.yaml POST /bookings/{booking_sid}/cancel","description":"Cancel a booking.","href":"/api-reference-v1/bookings/cancel"},{"title":"Approve booking","openapi":"bundled-v1/bookings.yaml POST /bookings/{booking_sid}/approve","href":"/api-reference-v1/bookings/approve"},{"title":"Reject booking","openapi":"bundled-v1/bookings.yaml POST /bookings/{booking_sid}/reject","href":"/api-reference-v1/bookings/reject"},{"title":"Get associated bookings","openapi":"bundled-v1/bookings.yaml GET /bookings/{booking_sid}/associated_bookings","href":"/api-reference-v1/bookings/get-associated"},{"title":"List availabilities of team members","openapi":"bundled-v1/availabilities.yaml GET /availabilities","href":"/api-reference-v1/availabilities/list"},{"title":"List availabilities of a team member","openapi":"bundled-v1/availabilities.yaml GET /availabilities/team_member","href":"/api-reference-v1/availabilities/list-member"},{"title":"Get availability","openapi":"bundled-v1/availabilities.yaml GET /availabilities/{availability_id}","href":"/api-reference-v1/availabilities/get"},{"title":"Create availability","openapi":"bundled-v1/availabilities.yaml POST /availabilities","href":"/api-reference-v1/availabilities/create"},{"title":"Update availability","openapi":"bundled-v1/availabilities.yaml PATCH /availabilities/{availability_id}","href":"/api-reference-v1/availabilities/update"},{"title":"Create custom availability for scheduling-link","openapi":"bundled-v1/availabilities.yaml POST /meetings/{meeting_sid}/availability/create","href":"/api-reference-v1/availabilities/create-meeting"},{"title":"Update scheduling-link availability","openapi":"bundled-v1/availabilities.yaml POST /meetings/{meeting_sid}/availability","href":"/api-reference-v1/availabilities/update-meeting"},{"title":"List available slots","openapi":"bundled-v1/slots.yaml GET /slots/{meeting_slug}","href":"/api-reference-v1/slots/list"},{"title":"List packages","openapi":"bundled-v1/packages.yaml GET /packages","href":"/api-reference-v1/packages/list"},{"title":"Get package","openapi":"bundled-v1/packages.yaml GET /packages/{package_id}","href":"/api-reference-v1/packages/get"},{"title":"List package purchases","openapi":"bundled-v1/packages.yaml GET /packages/{package_id}/purchases","href":"/api-reference-v1/packages/list-purchases"},{"title":"Get package purchase","openapi":"bundled-v1/packages.yaml GET /packages/{package_id}/purchases/{purchase_id}","href":"/api-reference-v1/packages/get-purchase"},{"title":"List team members","openapi":"bundled-v1/team-members.yaml GET /team_members","href":"/api-reference-v1/team-members/list"},{"title":"Add team members","openapi":"bundled-v1/team-members.yaml POST /team_members","href":"/api-reference-v1/team-members/add"},{"title":"Update team member","openapi":"bundled-v1/team-members.yaml PATCH /team_members/{team_member_id}","href":"/api-reference-v1/team-members/update"},{"title":"Remove team member","openapi":"bundled-v1/team-members.yaml DELETE /team_members/{team_member_id}","href":"/api-reference-v1/team-members/remove"},{"title":"Create discount code","openapi":"bundled-v1/discount-codes.yaml POST /discount_codes","href":"/api-reference-v1/discount-codes/create"},{"title":"Create automation rule","openapi":"bundled-v1/automation-rules.yaml POST /automation_rules","href":"/api-reference-v1/automation-rules/create"}]}]},{"tab":"CLI","icon":"rectangle-terminal","pages":[{"title":"CLI","href":"/cli/introduction"}]}]},"basePath":"","title":"Reschedule booking - NeetoCal Docs","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","CodeSnippet-eoRjC4Le.js","getApiPlaygroundDisplay-CZyAPlR2.js","Page-Cr9IwkK7.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}